import { IWorkflowJson } from '@fly-vue/lcdp-api';
import { ITreeNode } from '@fly-vue/ide-base';
declare type fn = () => void;
declare type fnBeforeSave = (content: IWorkflowJson) => Promise<void>;
declare type fnDoSelect = (code: 'page' | 'fun' | 'participant-fun' | 'event-fun', optionalAppId?: string) => Promise<any>;
declare const _default: import("vue").DefineComponent<{
    appId: null;
    id: null;
    title: null;
    processInfo: {
        default(): {};
    };
    data: null;
    doRefresh: null;
    hideOpers: {
        type: BooleanConstructor;
    };
    mode: {
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
    enablePublish: {
        type: BooleanConstructor;
        default: boolean;
    };
    beforeSave: null;
    doSelect: null;
    propertiesConfig: null;
    readonly: {
        type: BooleanConstructor;
    };
    getDefaultWfDefinition: null;
    candidatePages: null;
    candidateOrchs: null;
    participantOrchs: null;
    eventOrchs: null;
    showPublishStatus: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    __sfc: boolean;
    props: {
        appId?: string | undefined;
        id?: string | undefined;
        title?: string | undefined;
        processInfo: any;
        data?: IWorkflowJson | undefined;
        doRefresh?: fn | undefined;
        hideOpers?: boolean | undefined;
        mode: 'create' | 'edit';
        enableInnerSave?: boolean | undefined;
        enablePublish: boolean;
        beforeSave?: fnBeforeSave | undefined;
        doSelect?: fnDoSelect | undefined;
        propertiesConfig?: Record<string, any> | undefined;
        readonly?: boolean | undefined;
        getDefaultWfDefinition?: fn | undefined;
        candidatePages?: ITreeNode[] | undefined;
        candidateOrchs?: ITreeNode[] | undefined;
        participantOrchs?: ITreeNode[] | undefined;
        eventOrchs?: ITreeNode[] | undefined;
        showPublishStatus: boolean;
    };
    emit: (event: "on-change" | "on-save" | "on-publish" | "on-before-save" | "update:processInfo", ...args: any[]) => void;
    _id: import("vue").Ref<string | undefined>;
    content: import("vue").Ref<string | undefined>;
    fullscreen: import("vue").Ref<boolean>;
    canRevert: import("vue").Ref<boolean>;
    canRedo: import("vue").Ref<boolean>;
    saving: import("vue").Ref<boolean>;
    publishing: import("vue").Ref<boolean>;
    isPublished: import("vue").Ref<boolean | undefined>;
    designerMode: import("vue").Ref<"design" | "code">;
    hasChange: import("vue").Ref<boolean>;
    refDesigner: import("vue").Ref<any>;
    hasCodeChange: import("vue").Ref<boolean>;
    loaded: import("vue").Ref<boolean>;
    code: import("vue").Ref<any>;
    appId: string | undefined;
    originalMeta: import("vue").Ref<Record<string, any> | undefined>;
    processInfo: import("vue").Ref<any> | import("vue").WritableComputedRef<any>;
    getContent: (mode?: "design" | "code" | undefined) => Promise<{
        data: string | undefined;
        meta: {
            published: boolean | undefined;
        };
        processInfo: any;
    }>;
    save: (p?: {
        isPublished: boolean;
    }) => Promise<void>;
    publish: () => Promise<void>;
    refresh: () => Promise<void>;
    onChange: () => void;
    reload: () => Promise<void>;
    doSelect: (code: 'page' | 'fun' | 'participant-fun' | 'event-fun', optionalAppId?: string | undefined) => Promise<any>;
    onCodeChange: (c: string) => void;
    CodeEditor: () => Promise<typeof import("@fly-vue/ide-core/@types/components/editor/code-editor.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    Fullscreen: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/fullscreen.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-change" | "on-save" | "on-publish" | "on-before-save" | "update:processInfo")[], string, Readonly<import("vue").ExtractPropTypes<{
    appId: null;
    id: null;
    title: null;
    processInfo: {
        default(): {};
    };
    data: null;
    doRefresh: null;
    hideOpers: {
        type: BooleanConstructor;
    };
    mode: {
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
    enablePublish: {
        type: BooleanConstructor;
        default: boolean;
    };
    beforeSave: null;
    doSelect: null;
    propertiesConfig: null;
    readonly: {
        type: BooleanConstructor;
    };
    getDefaultWfDefinition: null;
    candidatePages: null;
    candidateOrchs: null;
    participantOrchs: null;
    eventOrchs: null;
    showPublishStatus: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    processInfo: {};
    hideOpers: boolean;
    mode: string;
    enableInnerSave: boolean;
    enablePublish: boolean;
    readonly: boolean;
    showPublishStatus: boolean;
}>;
export default _default;
